import 'package:flutter/material.dart';
import 'package:logging/logging.dart';
import 'package:pdfrx/pdfrx.dart';

import 'login_page.dart';

void main() {
  Logger.root.level = Level.ALL; // defaults to Level.INFO
  Logger.root.onRecord.listen((record) {
    debugPrint('${record.level.name}: ${record.time}: ${record.message}');
    if (record.error != null) {
      debugPrint('${record.error}');
    }
  });

  pdfrxFlutterInitialize(); // Needed for web

  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Sheetless',
      theme: ThemeData(useMaterial3: true, primarySwatch: Colors.blue),
      home: const LoginPage(),
    );
  }
}
